Get Domain
Get one custom testing domain.
Get one custom testing domain.
Scope: email_testing.domains.read
Path Parameters
idstringrequiredThe ID of the custom domain, as returned by List Domains or when you add the domain.
Sample Request
Request
curl "https://api.maileroo.com/v1/email-testing/domains/0b6f3c2e-9d4a-4f6b-8a21-5e7d2c9f1a34" \
-H "Authorization: Bearer roo_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"Sample Response
The response is wrapped in a data object.
Response
{
"data": {
"id": "289b7d13-d135-45fc-8ab6-02f7abf11d6a",
"account_id": "12345",
"name": "test.example.com",
"status": "verified",
"mx_hostname": "mx.sandbox.maileroo.io",
"observed_mx": [
"mx.sandbox.maileroo.io"
],
"last_checked_at": "2025-01-01T12:00:00Z",
"created_at": "2025-01-01T12:00:00Z"
}
}Errors
404 Not Found— the resource does not exist or is not owned by the account.